Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003001Piwigouploadpublic2013.11.14 10:022013.11.19 23:25
Reporteroliver 
Assigned Toplg 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformDebian Squeeze, PHP 5.3.3-7OSwebmin+virtualminOS Version
Product Version2.5.3 
Target Version2.6.0RC1Fixed in Version2.6.0RC1 
Summary0003001: add photos to existing albums
DescriptionHello, this ticket is created after this forum thread : http://fr.piwigo.org/forum/viewtopic.php?pid=206345 [^]

In short, at the present time, it is difficult to upload images to old albums, because on admin.php?page=photos_add (Photos > Add > Create Album), the albums are sorted by created date.

Since they are not sorted alphabetically, old albums are hard to find, and hitting the first letter of their name hardly helps, if we miss them and hit the keyboard one time too much, we have to start again to find to which album upload the image.

I have two possible solutions :

- allow to sort alphabetically the albums on admin.php?page=photos_add
(make it an option, or allow this to be configured in a hackable part of the site that wouldn't be overwritten by updates)

- allow to add *new* images from within the album management page (admin.php?page=album-xxx), for the moment that page can only allow to manage existing images, not add new ones
TagsNo tags attached.
browserany
Database engine and versionmysql
PHP versionPHP 5.3.3-7
Web serverApache 2.2.1.6
Attached Filespng file icon add_photo_done.png [^] (83,462 bytes) 2013.11.19 11:19


patch file icon add_photo.patch [^] (4,862 bytes) 2013.11.19 11:20 [Show Content]

- Relationships

-  Notes
(0007263)
msakik (reporter)
2013.11.19 01:00

Hi, I have done this feature and as I´m working on these files I wish to add icons to the links (printscreen attached). But not found a significant one to 'jump to album'. I was thinking on the arrow 'icon-share-alt' but not found on piwigo source. First someone can tell me if these changes are ok and if so where can I find this arrow?
(0007265)
msakik (reporter)
2013.11.19 11:27

Hi, I have attached the patch, just one for all files changed and just on admin folder. Also attached is the print screen add_photo_done.png
Changes:
1 - added link to "add photos" for the specific album;
2 - url for the link, adding a get parameter album=<album_id>
3 - Added some icons for all links
4 - Added the title to thumbnail image of the album

Number 2 needs translation.
Number 4 is already in translation database.

Please let me know if it is ok or need some change.
(0007270)
svn (reporter)
2013.11.19 21:19

[Subversion] r25593 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 3001: new link "add photos" on album edition page. Patch by msakik
(0007271)
plg (manager)
2013.11.19 21:20

msakik, nice patch. I have only implemented the "add photos" link for now. But the icons are definitely useful too. I will implement them later (after 2.6RC1)

- Issue History
Date Modified Username Field Change
2013.11.14 10:02 oliver New Issue
2013.11.14 10:02 oliver browser => any
2013.11.14 10:02 oliver Database engine and version => mysql
2013.11.14 10:02 oliver PHP version => PHP 5.3.3-7
2013.11.14 10:02 oliver Web server => Apache 2.2.1.6
2013.11.15 10:00 mistic100 Summary Feature suggestion, simpler uploading to old albums => simpler uploading to old albums
2013.11.19 00:56 msakik File Added: album_mgmt.png
2013.11.19 01:00 msakik Note Added: 0007263
2013.11.19 11:19 msakik File Added: add_photo_done.png
2013.11.19 11:20 msakik File Added: add_photo.patch
2013.11.19 11:27 msakik Note Added: 0007265
2013.11.19 21:19 svn Checkin
2013.11.19 21:19 svn Note Added: 0007270
2013.11.19 21:20 plg Note Added: 0007271
2013.11.19 21:21 plg Assigned To => plg
2013.11.19 21:21 plg Status new => closed
2013.11.19 21:21 plg Resolution open => fixed
2013.11.19 21:21 plg Fixed in Version => 2.6.0RC1
2013.11.19 21:21 plg Target Version => 2.6.0RC1
2013.11.19 23:25 plg Summary simpler uploading to old albums => add photos to existing albums
2013.11.19 23:53 plg File Deleted: album_mgmt.png


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker